> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Targets



## OpenAPI

````yaml /openapi.json get /v1/api-performance/targets
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/api-performance/targets:
    get:
      tags:
        - API Performance
      summary: List Targets
      operationId: api_performance_targets_list
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiPerformanceTargetsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    PublicApiPerformanceTargetsResponse:
      properties:
        text_models:
          items:
            $ref: '#/components/schemas/PublicApiPerformanceTextModel'
          type: array
          title: Text Models
        coding_agents:
          items:
            $ref: '#/components/schemas/PublicApiPerformanceCodingAgent'
          type: array
          title: Coding Agents
        frequencies:
          items:
            type: string
            enum:
              - daily
              - every_other_day
              - weekly
              - manual
          type: array
          title: Frequencies
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - text_models
        - coding_agents
        - frequencies
      title: PublicApiPerformanceTargetsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicApiPerformanceTextModel:
      properties:
        id:
          type: string
          title: Id
        label:
          type: string
          title: Label
        platform:
          type: string
          title: Platform
        cost_per_1m_input:
          type: number
          title: Cost Per 1M Input
        cost_per_1m_output:
          type: number
          title: Cost Per 1M Output
        target:
          $ref: '#/components/schemas/PublicApiPerformanceTargetSpec'
      type: object
      required:
        - id
        - label
        - platform
        - cost_per_1m_input
        - cost_per_1m_output
        - target
      title: PublicApiPerformanceTextModel
    PublicApiPerformanceCodingAgent:
      properties:
        id:
          type: string
          title: Id
        label:
          type: string
          title: Label
        platform:
          type: string
          title: Platform
        cost_estimate_per_eval:
          type: number
          title: Cost Estimate Per Eval
        default_model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Model Id
        target:
          anyOf:
            - $ref: '#/components/schemas/PublicApiPerformanceTargetSpec'
            - type: 'null'
        models:
          items:
            $ref: '#/components/schemas/PublicApiPerformanceCodingAgentModel'
          type: array
          title: Models
      type: object
      required:
        - id
        - label
        - platform
        - cost_estimate_per_eval
      title: PublicApiPerformanceCodingAgent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PublicApiPerformanceTargetSpec:
      properties:
        target_type:
          type: string
          enum:
            - text
            - agent
          title: Target Type
        execution_platform:
          type: string
          title: Execution Platform
        model_id:
          type: string
          title: Model Id
      type: object
      required:
        - target_type
        - execution_platform
        - model_id
      title: PublicApiPerformanceTargetSpec
    PublicApiPerformanceCodingAgentModel:
      properties:
        id:
          type: string
          title: Id
        label:
          type: string
          title: Label
        target:
          $ref: '#/components/schemas/PublicApiPerformanceTargetSpec'
      type: object
      required:
        - id
        - label
        - target
      title: PublicApiPerformanceCodingAgentModel
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````